Bug 353491 - Canadian French Keyboard needs 3 additional character assignments
Canadian French Keyboard needs 3 additional character assignments
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-keyboard (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-25 22:45 EDT by Leslie Satenstein
Modified: 2007-12-16 19:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-16 19:49:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Leslie Satenstein 2007-10-25 22:45:32 EDT
Description of problem:

The Candian French (French Canada) keyboard needs the assignment of the Euro
symbol to alt-chr e.           

The high long dash character, assigned to alt-car comma is currently shot high
dash and needs to be mapped to the long (full character width) high dash.  

The high short dash ¯ is incorrectly assigned to the alt-car comma key. It
should be assigned to the alt-char period key, to match keyboard layouts.  

UBUNTU and another debian based distribution, provides the same Canada French
definition, but augments it by allowing one to assigning the alt-5 or alt-e key
to represent the EURO symbol,
If you implement the euro symbol, as a static mapping, as per this bug report
request, make the definition a static alt-char E.  

Version-Release number of selected component (if applicable):
All fedora linux versions from 6 onwards

How reproducible:

Obtain Canada French keyboard mapping, and try to display / print the Euro, high
dash or high long dash.

Microsoft XP for the Canada French definition does it correctly.

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Leslie Satenstein 2007-10-25 22:47:42 EDT
A correction here should also be ported to Red Hat linux.
Comment 2 Leslie Satenstein 2007-11-09 08:33:23 EST
With FC8, the Euro problem has disappeared. The keyboard settings allow for
setting the euro to one of several keys.

Outstanding is the high dash symbol.  By the way, in repetiting what I indicated
above, it is on the Canada French keyboard on the comma key. and displays as 
"¯"   The alt-Gr on the "," key alt-chr  prints as multiple characters non
moving space characters. They do not move the cursor to the right.  "­­­­­­­"  
There are 7 characters between the "­­­­­­­".  Should it be a _-¯  

Comment 3 Matěj Cepl 2007-11-12 10:31:08 EST
Apparently, there is something in this bug remaining which is wrong in F8.
Comment 4 Leslie Satenstein 2007-11-14 19:40:20 EST
Hello Matej

When the Canada French keyboard is chosen, because the keyboard description was 
not updated for several years, the euro symbol was assigned the the E key.

In one Fedora session, on a second or third tab, it is possible to assign the 
Euro to one of several keys. (The 5 key, the E key, etc).  The outstanding 
characters.  The high minus or high dash, needs to be assigned to alt-chr comma.

I use the Canada Quebec keyboard, (Quebec is a french province in Canada), and 
that high minus is used for some purposes.

Comment 5 Leslie Satenstein 2007-12-16 19:49:30 EST
Thank you for the "¯".  It now works. 


Note You need to log in before you can comment on or make changes to this bug.